# $Revision: 1.154 $, $Date: 2011/12/31 12:42:08 $
# TODO:
# - enable and package ntpdsim?
# - net-snmp-ntpd needs initscript
#
# Conditional build:
%bcond_without	avahi  # disable DNS-SD support via Avahi

%include	/usr/lib/rpm/macros.perl
Summary:	Network Time Protocol utilities
Summary(pl.UTF-8):	Narzędzia do synchronizacji czasu (Network Time Protocol)
Summary(pt_BR.UTF-8):	Network Time Protocol versão 4
Name:		ntp
Version:	4.2.6p5
Release:	1
License:	distributable
Group:		Networking/Daemons
Source0:	http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.2/%{name}-%{version}.tar.gz
# Source0-md5:	00df80a84ec9528fcfb09498075525bc
Source1:	%{name}.conf
Source2:	%{name}.keys
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}-client.init
Source6:	%{name}-client.sysconfig
Source7:	%{name}-manpages.tar.gz
# Source7-md5:	208fcc9019e19ab26d28e4597290bffb
Source8:	ntp.upstart
Source9:	ntpdate.upstart
Patch0:		%{name}-time.patch
Patch1:		%{name}-no_libelf.patch
Patch2:		%{name}-ipv6.patch
Patch3:		%{name}-nano.patch
Patch4:		%{name}-no_avahi.patch
# FC patches + 100
Patch101:	%{name}-4.2.6p1-sleep.patch
Patch102:	%{name}-4.2.6p1-droproot.patch
Patch103:	%{name}-4.2.6p1-bcast.patch
Patch104:	%{name}-4.2.6p1-cmsgalign.patch
Patch105:	%{name}-4.2.6p1-linkfastmath.patch
Patch106:	%{name}-4.2.6p1-tentative.patch
Patch107:	%{name}-4.2.6p1-retcode.patch
Patch108:	%{name}-4.2.6p1-rtnetlink.patch
Patch109:	%{name}-4.2.4p7-getprecision.patch
Patch110:	%{name}-4.2.6p1-logdefault.patch
Patch111:	%{name}-4.2.6p1-mlock.patch
Patch112:	%{name}-4.2.6p3-broadcastdelay.patch
Patch113:	%{name}-4.2.6p3-delaycalib.patch
URL:		http://www.ntp.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_avahi:BuildRequires:	avahi-compat-libdns_sd-devel}
BuildRequires:	libcap-devel
BuildRequires:	libnl-devel
BuildRequires:	libtool
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pciutils-devel
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.561
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ntp
%define		_bindir		%{_sbindir}
%define		mibdir		%{_datadir}/mibs

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.

%description -l pl.UTF-8
Network Time Protocol (NTP) służy do synchronizacji czasu komputera z
innym, wzorcowym źródłem czasu. Pakiet ntp zawiera narzędzia i demony
służące do dokładnego synchronizowania czasu komputera według czasu
uniwersalnego (UTC) poprzez protokół NTP z serwerami NTP.

%description -l pt_BR.UTF-8
Esta é a versão 4 do Network Time Protocol (NTP). Este protocolo é
utilizado para sincronizar o relógio do computador com uma outra
referência de horário. Este pacote contém utilitários e servidores que
sincronizarão o relógio do seu computador com o horário universal
(UTC) através do protocolo NTP e utilizando servidores NTP públicos.

Instale o pacote ntp se você necessitar de ferramentas para manter o
relógio do seu computador constantemente atualizado.

%package -n ntpd
Summary:	The NTP daemon
Summary(pl.UTF-8):	Narzędzia do synchronizacji czasu (Network Time Protocol)
Summary(pt_BR.UTF-8):	Network Time Protocol versão 4
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts >= 0.4.3.0
Provides:	group(ntp)
Provides:	ntp = %{version}-%{release}
Provides:	ntpdaemon
Provides:	user(ntp)
Obsoletes:	ntp < 4.2.4p8-6
Obsoletes:	ntpdaemon
Obsoletes:	ntpd-upstart
Obsoletes:	openntpd
Obsoletes:	xntp3

%description -n ntpd
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.

This package includes ntpd (a daemon which continuously adjusts system
time)

%description -n ntpd -l pl.UTF-8
Network Time Protocol (NTP) służy do synchronizacji czasu komputera z
innym, wzorcowym źródłem czasu. Pakiet ntp zawiera narzędzia i demony
służące do dokładnego synchronizowania czasu komputera według czasu
uniwersalnego (UTC) poprzez protokół NTP z serwerami NTP.

Pakiet ntp zawiera ntpd (demona, który w sposób ciągły aktualizuje
czas systemowy)

%description -n ntpd -l pt_BR.UTF-8
Esta é a versão 4 do Network Time Protocol (NTP). Este protocolo é
utilizado para sincronizar o relógio do computador com uma outra
referência de horário. Este pacote contém utilitários e servidores que
sincronizarão o relógio do seu computador com o horário universal
(UTC) através do protocolo NTP e utilizando servidores NTP públicos.

%package -n ntpdate
Summary:	Utility to set the date and time via NTP
Summary(pl.UTF-8):	Klient do synchronizacji czasu po NTP (Network Time Protocol)
Group:		Applications/Networking
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts >= 0.4.3.0
Provides:	group(ntp)
Provides:	user(ntp)
Conflicts:	ntp < 4.2.0-3
# for upgrades
Provides:	ntp-client = %{version}-%{release}
Obsoletes:	ntp-client < 4.2.4p8-6
# virtual
Provides:	ntpclient
Obsoletes:	ntpclient

%description -n ntpdate
ntpdate is a program for retrieving the date and time from NTP
servers.

%description -n ntpdate -l pl.UTF-8
Klient do synchronizacji czasu po NTP (Network Time Protocol).

%package -n mibs-ntp
Summary:	MIBs for NTP time entities
Group:		Applications/System
Requires:	mibs-dirs

%description -n mibs-ntp
The Management Information Base for NTP time entities.

%package -n net-snmp-ntpd
Summary:	NTP SNMP subagent for Net-SNMP
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	net-snmp
Requires:	rc-scripts
Suggests:	mibs-ntp

%description -n net-snmp-ntpd
NTP SNMP AgentX subagent for Net-SNMP.

%package tools
Summary:	NTP tools
Group:		Applications/Networking
Obsoletes:	ntp-ntptrace

%description tools
This package contains ntp tools:
- ntptrace: Trace a chain of NTP servers back to the primary source
- ntp-wait: Wait for NTP server to synchronize

%package doc-html
Summary:	HTML documentation for ntp
Summary(pl.UTF-8):	Dokumentacja HTML dla ntp
Summary(pt_BR.UTF-8):	Documentação adicional para o pacote ntp
Group:		Documentation

%description doc-html
HTML documentation for ntp.

%description doc-html -l pl.UTF-8
Dokumentacja do ntp w HTML.

%description doc-html -l pt_BR.UTF-8
Este pacote contém documentação adicional sobre o NTP versão 4.

%prep
%setup -q -a7
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%{!?with_avahi:%patch4 -p1}

## FC patches
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1

echo 'AM_CONDITIONAL([NEED_LIBOPTS], false)' >> configure.ac
echo 'AM_CONDITIONAL([NEED_LIBOPTS], false)' >> sntp/configure.ac

%build
%{__libtoolize}
%{__aclocal} -I m4 -I sntp/libopts/m4
%{__autoconf}
%{__automake}
cd sntp
%{__libtoolize}
%{__aclocal} -I ../m4 -I libopts/m4
%{__autoconf}
%{__automake}
cd ..

CPPFLAGS="%{rpmcppflags} -I/usr/include/readline"
%configure \
	--with-binsubdir=sbin \
	--enable-linuxcaps \
	--enable-getifaddrs \
	--enable-ipv6 \
	--with-lineeditlibs=readline \
	--with-crypto=openssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig,cron.hourly,init},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ntp.conf
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/keys
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpd
install -p %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpdate
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/ntpd
cp -a %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/ntpdate
cp -p %{SOURCE8} $RPM_BUILD_ROOT/etc/init/ntpd.conf
cp -p %{SOURCE9} $RPM_BUILD_ROOT/etc/init/ntpdate.conf
cp -a man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -d $RPM_BUILD_ROOT/var/lib/ntp
touch $RPM_BUILD_ROOT/var/lib/ntp/drift

cat > $RPM_BUILD_ROOT/etc/cron.hourly/ntpdate <<'EOF'
#!/bin/sh
exec /sbin/service ntpdate cronsettime
EOF

install -d $RPM_BUILD_ROOT%{mibdir}
cp -a ntpsnmpd/ntpv4-mib.mib $RPM_BUILD_ROOT%{mibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n ntpd
%groupadd -g 246 ntp
%useradd -u 246 -d %{_sysconfdir} -g ntp -c "NTP Daemon" ntp

%post -n ntpd
/sbin/chkconfig --add ntpd
%service ntpd restart "NTP Daemon"

%preun -n ntpd
if [ "$1" = "0" ]; then
	%service ntpd stop
	/sbin/chkconfig --del ntpd
	rm -f /var/lib/ntp/drift
fi

%postun -n ntp
if [ "$1" = "0" ]; then
	%userremove ntp
	%groupremove ntp
fi


%pre -n ntpdate
%groupadd -g 246 ntp
%useradd -u 246 -d %{_sysconfdir} -g ntp -c "NTP Daemon" ntp

%post -n ntpdate
/sbin/chkconfig --add ntpdate
%service ntpdate restart "NTP Date"

%preun -n ntpdate
if [ "$1" = "0" ]; then
	%service ntpdate stop
	/sbin/chkconfig --del ntpdate
fi

%postun -n ntpdate
if [ "$1" = "0" ]; then
	%userremove ntp
	%groupremove ntp
fi

%triggerun -n ntpd -- ntp < 4.2.4p8-3.14
# Prevent preun from ntp from working
chmod a-x /etc/rc.d/init.d/ntpd

%triggerpostun -n ntpd -- ntp < 4.2.4p8-3.14
# Restore what triggerun removed
chmod 754 /etc/rc.d/init.d/ntpd
sed -i -e 's,/etc/ntp/drift,/var/lib/ntp/drift,' %{_sysconfdir}/ntp.conf
mv -f /etc/ntp/ntp.drift /var/lib/ntp/drift 2>/dev/null
mv -f /etc/ntp/drift /var/lib/ntp/drift 2>/dev/null
%service -q ntpd restart

%triggerpostun -n ntpdate -- ntp-client < 4.2.4p8-3.2
if [ -f /etc/sysconfig/ntp.rpmsave ]; then
	cp -f /etc/sysconfig/ntpdate{,.rpmnew}
	mv -f /etc/sysconfig/ntp.rpmsave /etc/sysconfig/ntpdate
fi

%files -n ntpd
%defattr(644,root,root,755)
%doc NEWS TODO WHERE-TO-START conf/*.conf COPYRIGHT
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ntpd
%attr(754,root,root) /etc/rc.d/init.d/ntpd
%config(noreplace) %verify(not md5 mtime size) /etc/init/ntpd.conf
%attr(755,root,root) %{_sbindir}/ntpd
%attr(755,root,root) %{_sbindir}/ntpdc
%attr(755,root,root) %{_sbindir}/ntp-keygen
%attr(755,root,root) %{_sbindir}/ntpq
%attr(755,root,root) %{_sbindir}/ntptime
%attr(755,root,root) %{_sbindir}/sntp
%attr(755,root,root) %{_sbindir}/tickadj
%{_mandir}/man1/ntpd.1*
%{_mandir}/man1/ntpdc.1*
%{_mandir}/man1/ntp-keygen.1*
%{_mandir}/man1/ntpq.1*
%{_mandir}/man1/ntptime.1*
%{_mandir}/man1/sntp.1*

%dir %attr(770,root,ntp) /var/lib/ntp
%attr(640,ntp,ntp) %ghost /var/lib/ntp/drift

%files -n ntpdate
%defattr(644,root,root,755)
%doc COPYRIGHT
%attr(755,root,root) %{_sbindir}/ntpdate
%attr(754,root,root) /etc/rc.d/init.d/ntpdate
%config(noreplace) %verify(not md5 mtime size) /etc/init/ntpdate.conf
%attr(754,root,root) /etc/cron.hourly/ntpdate
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ntpdate
%{_mandir}/man1/ntpdate*

%files -n mibs-ntp
%defattr(644,root,root,755)
%{mibdir}/ntpv4-mib.mib

%files -n net-snmp-ntpd
%defattr(644,root,root,755)
%doc ntpsnmpd/README
%attr(755,root,root) %{_sbindir}/ntpsnmpd
%{_mandir}/man1/ntpsnmpd.1*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ntptrace
%attr(755,root,root) %{_sbindir}/ntp-wait
%{_mandir}/man1/ntptrace*

%files doc-html
%defattr(644,root,root,755)
%doc html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntp.spec,v $
Revision 1.154  2011/12/31 12:42:08  adamg
- drop obsolete patches, renumbered fc patches

Revision 1.153  2011/12/31 12:34:43  adamg
- updated to 4.2.6p5

Revision 1.152  2011/12/17 17:33:51  adwol
- missing BR: pciutils-devel

Revision 1.151  2011/07/30 19:52:38  arekm
- release 4

Revision 1.150  2011/07/30 13:33:09  glen
- upstart_controlled earlier; rel 3

Revision 1.149  2011/07/21 10:45:09  glen
- proper filename

Revision 1.148  2011/07/21 10:36:06  glen
- drop upstart package (include in main pkg), add ntpdate upstart script

Revision 1.147  2011/07/05 13:55:27  lisu
- Titanium will not support upstart

Revision 1.146  2011/05/25 14:43:29  draenog
- up to 4.2.6p3
- remove openssl_check.patch and ntpdc-link_order.patch; fixed upstream
- update no_libelf.patch
- updated and new fedora patches

Revision 1.145  2011/01/27 22:44:24  glen
- upstart hook

Revision 1.144  2011/01/27 05:59:08  arekm
- rel 3; revert, current hwclock versions are smart enough to know what to do based on adjtime file.

Revision 1.143  2011/01/27 05:54:23  arekm
rel 2; when syncing hardware clock obey sysconfig/clock settings

Revision 1.142  2010/12/12 19:43:40  glen
- release 1

Revision 1.141  2010/07/14 08:57:14  glen
- mibs packaged

Revision 1.140  2010/06/26 16:09:42  psz
- utilize "pool" option for efficient pool.ntp.org usage
- we should not hint any real server to prevent abuse
- added missing BR
- add "limited" for "kod" to work

Revision 1.139  2010/06/03 01:06:13  sparky
- BR: net-snmp-devel

Revision 1.138  2010/05/25 11:05:29  glen
- net-snmp-ntpd and mibs-ntp subpackages, agent seems working

Revision 1.137  2010/05/25 07:15:25  jajcus
- without_avahi bcond and BR: avahi-compat-libdns_sd-devel
- ntpdsim man page did not 'disappear', we just don't build ntpdsim

Revision 1.136  2010/05/25 06:59:14  jajcus
- TODO cosmetics

Revision 1.135  2010/05/24 19:48:45  glen
- update fc patches

Revision 1.134  2010/05/24 19:34:03  glen
- if 0 instead

Revision 1.133  2010/05/24 19:24:38  jajcus
- PLD patches updated
- FC patches disabled (someone needs to review and update or remove them)

Revision 1.132  2010/05/24 17:55:05  jajcus
- starting upgrade to 4.2.6p1

Revision 1.131  2010/05/24 16:41:30  jajcus
- Upstart job for ntpd
- Release: 11

Revision 1.130  2010/05/22 16:14:16  gotar
- fixed Group

Revision 1.129  2010/04/11 10:30:09  arekm
- release 10

Revision 1.128  2010/02/15 09:00:08  glen
- release 9

Revision 1.127  2010/02/15 08:59:56  glen
- bump upgrade path; rel 8

Revision 1.126  2010/02/08 23:01:33  glen
- release 7

Revision 1.125  2010/02/08 22:59:31  glen
- hack (from cronie) to avoid restarting with ntpd user before config change trigger; rel 6

Revision 1.124  2010/02/01 17:20:27  glen
- release 5

Revision 1.123  2010/02/01 17:20:05  glen
- release 4

Revision 1.122  2010/01/29 07:41:57  glen
- move drift to ntp user writable /var/lib/ntp

Revision 1.121  2010/01/25 08:32:01  glen
- allow ntpq -p to work by default from localhost

Revision 1.120  2010/01/22 19:42:51  glen
- user/group creation to daemon too, useradd/userdel deps

Revision 1.119  2010/01/22 19:40:54  glen
- run services under ntp (you may switch back to root in config)

Revision 1.118  2010/01/22 19:22:24  glen
- run ntpdate under ntp uid, ntpdate service also can sync hwclock after service start

Revision 1.117  2010/01/22 19:04:26  glen
- order cosmetics

Revision 1.116  2010/01/22 19:03:41  glen
- add patches from fedora (ntp.spec@r1.97)

Revision 1.115  2010/01/22 18:44:35  glen
- trigger

Revision 1.114  2010/01/22 18:38:42  glen
- ntp->ntpd; ntp-client->ntpdate package renames

Revision 1.113  2010/01/22 18:23:49  glen
- fix manpage install, todos; rel 3

Revision 1.112  2010/01/22 18:13:22  sparky
- regenerate auto* in sntp directory

Revision 1.111  2010/01/22 18:04:43  glen
- ntpdaemon/ntpclient are the virtuals with openntp

Revision 1.110  2010/01/22 17:58:12  glen
- release 2

Revision 1.109  2009/12/09 21:54:18  draenog
- up to 4.2.4p8 (CVE-2009-3563)
- manpage.patch

Revision 1.108  2009/12/06 22:19:17  glen
- files conflict with openntpd; make upgradeable via obsolete; rel 3

Revision 1.107  2009/08/08 16:14:56  hawk
- fix build errors

Revision 1.106  2009/05/25 10:48:18  blues
- todo

Revision 1.105  2009/05/19 08:51:45  charles
- updated to 4.2.4p7 (fixes CVE-2009-0159, CVE-2009-1252)
- BR: libcap-devel

Revision 1.104  2009/05/03 15:30:22  hawk
- reenabled security blocker

Revision 1.103  2009/05/03 15:25:15  hawk
- disabled security blocker, need to rebuild

Revision 1.102  2009/04/20 20:01:44  blues
- security blocker added

Revision 1.101  2009/02/23 22:07:19  arekm
- release 2

Revision 1.100  2009/01/15 11:57:25  duddits
- up to 4.2.4p6

Revision 1.99  2009/01/14 20:06:15  blues
- CVE note

Revision 1.98  2008/10/08 15:44:39  arekm
- up to 4.2.4p5 [fixes: VE-2009-0021]

Revision 1.97  2008-04-27 00:48:22  glen
- rel 5

Revision 1.96  2008-04-20 20:01:40  zagrodzki
- updated ntp.conf

Revision 1.95  2008-01-29 14:19:41  arekm
- rel 3

Revision 1.94  2007-11-07 00:24:33  glen
- rel 2

Revision 1.93  2007/09/20 12:03:51  jajcus
- R(post,preun): chkconfig for client too

Revision 1.92  2007/09/20 12:01:23  jajcus
- polish %description for client subpackage fixed

Revision 1.91  2007/09/11 15:26:46  arekm
- up to 4.2.4p4

Revision 1.90  2007/08/23 21:17:26  glen
- rel 4

Revision 1.89  2007/08/17 12:50:47  glen
- no macro in obsoletes

Revision 1.88  2007/08/17 12:49:15  glen
- separate all perl dependant tools to -tools
- verbose files
- rel 3

Revision 1.87  2007/07/04 21:21:03  arekm
- rel 2; use clock_settime()

Revision 1.86  2007/07/01 20:13:17  arekm
- up to 4.2.4p3

Revision 1.85  2007/05/20 17:55:20  arekm
- up to 4.2.4p0

Revision 1.84  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.83  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.82  2006/10/03 08:00:26  qboosh
- tab

Revision 1.81  2006/10/02 20:03:02  glen
- add md5 patch to always link with openssl for MD5Update

Revision 1.80  2006/09/08 16:17:09  qboosh
- pl for -ntptrace

Revision 1.79  2006/09/08 14:57:22  glen
- ntptrace requires ntpq (thx Kacper Kornet); rel 19

Revision 1.78  2006/09/04 15:16:45  glen
- leave trace of service status in lock/subsys about ntp service; rel 18

Revision 1.77  2006/08/31 22:41:39  glen
- rel 17

Revision 1.76  2006/08/31 22:39:57  glen
- add manpages (tarball taken from FC5/ntp-4.2.0.a.20050816-11.src.rpm)

Revision 1.75  2006/08/31 21:49:06  glen
- add perl autodeps, ntptrace subpackaged
- adjusted Groups
- rel 16

Revision 1.74  2006/08/09 06:58:10  arekm
- rel 15

Revision 1.73  2006/05/21 17:39:48  glen
- rel 14

Revision 1.72  2006/03/26 11:23:34  megabajt
- added gcc4.patch
- rel. 13

Revision 1.71  2006/03/06 18:16:42  glen
- use %service, adapterized, cosmetics

Revision 1.70  2005/12/04 01:41:32  glen
- rel 12

Revision 1.69  2005/12/04 01:02:46  glen
- rc-scripts for --fork
- adapterize

Revision 1.68  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.67  2005/06/08 18:34:34  jajcus
- Release: 10
- added the important COPYRIGHT file to %doc

Revision 1.66  2004/11/19 21:46:14  qboosh
- BR: ac,lt

Revision 1.65  2004/11/19 21:16:46  jajcus
- Release: 8
- BR: openssl-devel
- configure check for openssl libraries fixed so openssl is properly detected
  and autokey stuff (including ntp-keygen) built.

Revision 1.64  2004/11/19 17:06:01  pluto
- better fix for drift file.

Revision 1.63  2004/11/19 16:54:25  pluto
- %ghost /etc/ntp/drift

Revision 1.62  2004/08/31 09:22:38  krzak
- use unprivileged port by default so running ntpd && ntpclient at the
  same time will work (ntp-client.sysconfig file)
- rel. 8

Revision 1.61  2004/07/01 11:29:29  qboosh
- desc fixes

Revision 1.60  2004/05/31 17:16:07  arekm
- hourly

Revision 1.59  2004/05/31 17:12:28  arekm
- rel 6; run ntpdate also from cron

Revision 1.58  2004/05/16 22:45:19  arekm
- rel 6; fix problems with v4 only hosts (IPV6_V6ONLY)

Revision 1.57  2004/03/11 02:12:55  arekm
- client subpackage conflicts with ntp < 4.2.0-3

Revision 1.56  2004/03/11 01:59:26  arekm
- fix attr in client

Revision 1.55  2004/03/06 10:11:18  zagrodzki
- modified default conf file
- rel 4

Revision 1.54  2004/03/05 12:03:16  qboosh
- fixed new files bug, added noreplace to sysconfig files

Revision 1.53  2004/03/05 11:49:46  krzak
- client subpackage with ntpdata. It may be installed and run without ntpd.
- rel 3

Revision 1.52  2004/01/08 19:46:58  jajcus
- Release: 2
- refresh config.sub (for AMD64)

Revision 1.51  2003/10/26 13:58:58  arekm
- updated to 4.2.0

Revision 1.50  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.49  2003/07/29 20:53:58  grzegol
- updated to 4.1.2
- cosmetics

Revision 1.48  2003/07/23 03:50:53  undefine
- pt_BR translation

Revision 1.47  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.46  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.45  2003/05/25 05:51:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/05/25 01:24:10  adgor
- Source0-md5

Revision 1.43  2003/05/16 14:41:18  djrzulf
- added missed file about configuration - according to bug #663,
- Release 3,

Revision 1.42  2002/12/13 22:46:56  ankry
- adapterized

Revision 1.41  2002/11/21 11:06:37  ankry
- another way to avoid unnecessary libelf linking (patch instead of BC)
- release 2

Revision 1.40  2002/10/26 18:03:24  zagrodzki
- updated to 4.1.1a
- STBR

Revision 1.39  2002/10/07 14:09:25  qboosh
- new %doc, more specific Requires

Revision 1.38  2002/05/22 09:17:43  yaro
- added obsoletes xntp3

Revision 1.37  2002/05/21 23:14:15  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/02/19 12:19:42  kloczek
- release 5.

Revision 1.33  2002/02/18 21:24:51  gotar
- %desc

Revision 1.32  2002/01/18 02:14:05  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/01 11:47:44  mkochano
- Release 4.
- Small correction in polish %description.

Revision 1.30  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.29  2001/10/11 13:38:56  qboosh
- added missing pl summary

Revision 1.28  2001/09/25 09:41:33  qboosh
- release 3: Prereq: /sbin/chkconfig

Revision 1.27  2001/08/18 21:41:56  kloczek
- release 2: added ntpdate(8) and ntpd(8) man pages from Debian.

Revision 1.26  2001/08/15 13:57:27  areq
- update to 4.1.0, STBR
- remove: overflow.patch, typos.patch, usegethost.patch, vsnprintf.patch, tmp.patch

Revision 1.25  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/05/29 10:59:20  zagrodzki
- updated init (source ntp configuration too)

Revision 1.22  2001/05/10 14:51:49  zagrodzki
- release 14
- updated sysconfig, init and conf

Revision 1.21  2001/04/13 04:08:31  kloczek
- added BuildConflicts for libelf.

Revision 1.20  2001/04/13 03:12:36  kloczek
- release 13,
- added libelf-devel and readline-devel to BuildRequires,
- rebuild against readline 4.2.

Revision 1.19  2001/04/10 09:19:58  kloczek
- release 12,
- merge usegethost, typos, vsnprintf patches from rawhide and tmp patch from MDK.

Revision 1.18  2001/04/10 08:48:40  zagrodzki
- improved ntp-overflow.patch :)

Revision 1.17  2001/04/06 07:10:44  misiek
- added URL:

Revision 1.16  2001/04/05 06:46:59  misiek
- release 7; added security fix for recently found overflow; stb

Revision 1.15  2001/04/02 09:36:51  zagrodzki
- added defattr for ntp-doc-html
- release 6

Revision 1.14  2001/03/31 17:25:41  bonkey
- added --program-transform-name="" to avoid "%arch-pld-linux" prefix in binaries
- release 5

Revision 1.13  2001/03/31 16:41:04  zagrodzki
- time.h patch

Revision 1.12  2001/03/31 12:48:32  misiek
- %{__autoconf} changes

Revision 1.11  2001/03/31 12:05:03  zagrodzki
- more iprovements in ntp.init
- release 4

Revision 1.10  2001/03/27 19:39:47  zagrodzki
- fixed ntp.init
- release 3

Revision 1.9  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.8  2000/12/14 09:43:20  jajcus
- Release: 2

Revision 1.7  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.6  2000/09/11 09:25:01  dobrek
- Added new package named ntp-doc-html.
- The name is preaty selfexplanatory.

Revision 1.5  2000/08/26 21:29:38  kloczek
- back to use ./configure instead %configure macro (in ntp is used autoconf
  script basing on abilities autoconf 2.14) - this is temporary woraround
  because this requre rework %configure macro in oure dist rpm.

Revision 1.4  2000/08/26 16:18:19  kloczek
- spec adaperized,
- added Requires: rc-scripts,
- added using %configure macro,
- standarized %post/postpreun,
- check in %post/posun /var/lock/subsys/ntp (not /var/lock/subsystem/ntp).
- new %description (borowed from RH).

Revision 1.3  2000/08/26 15:57:16  serek
- upgrade to the newest version

Revision 1.2  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.1  2000/06/03 19:24:13  kloczek
- changed name xntp3 to ntp.

Revision 1.11  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.9  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).
